Problem s yumem

Ahoj,
pri spusteni yum vypise chybovou hlasku. Aktualizuji jen ze standardnich repozitaru. Co s tim?

There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

/usr/lib64/librpmdb-4.4.so: undefined symbol: rpmioMkpath

Please install a package which provides this module, or
verify that the module is installed correctly.

It’s possible that the above module doesn’t match the
current version of Python, which is:
2.5 (r25:51908, Apr 10 2007, 10:27:40)
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)]

Predpokladam Fedora 7. Z toho mala co vidim muzu soudit ze verze knihoven mam stejne a na i386 se tento problem neprojevuje. Soubor librpmdb-4.4.so je soucasti baliku rpm-lib, Nenasel jsem vsak ze by se tento balik aktualizoval, takze nevim kde by v nem mohl vzniknout problem. Nic nezkazite kdyz balik stahnete a rucne pomoci rpm nainstalujete, obavam se ale ze nebude fungovat ani rpm. Od kdy se tento problem projevuje a co se od te doby aktualizovalo (/var/log/yum.log)?

Jj, Fedora 7. Najednou uz to zase jede… :slight_smile: